{#
/**
  * @file
  * Theme override to display the header block.
  *
  * Available variables:
  * - plugin_id: The ID of the block implementation.
  * - label: The configured label of the block if visible.
  * - configuration: A list of the block's configuration values.
  *   - label: The configured label for the block.
  *   - label_display: The display settings for the label.
  *   - provider: The module or other provider that provided this block plugin.
  *   - Block plugin specific settings will also be stored here.
  * - content: The content of this block.
  * - attributes: array of HTML attributes populated by modules, intended to
  *   be added to the main container tag of this template.
  *   - id: A valid HTML ID and guaranteed unique.
  * - title_attributes: Same as attributes, except applied to the main title
  *   tag that appears in the template.
  * - title_prefix: Additional output populated by modules, intended to be
  *   displayed in front of the main title tag that appears in the template.
  * - title_suffix: Additional output populated by modules, intended to be
  *   displayed after the main title tag that appears in the template.
  *
  * @see template_preprocess_block()
  */
#}
{% set menu_main = menu_main | default(NULL) %}

{#
/**
  * This file contains the implementation code for the header pattern in the drupal_component_library
  *
  * It is configured for the WEBSITE as this is the default theme
  *
  * @TODO define default menu's accross gcd and website so we can overwrite effectively
  * @TODO Add target into menu items or update component to not require inline target value to work
*/
#}

{% set drawer_items = [] %}

{% for key, item in menu_main['#items'] %}
  {% if item.title == 'Search the directory' %}
    {% set menu_main = menu_main|merge({
      '#items': menu_main['#items']|merge({
        (key): item|merge({
          attributes: item.attributes.addClass('desktop-only')
        })
      })
    }) %}
  {% endif %}

  {% if item.below is not empty %}
    {% set drawer_item %}
    {{ pattern('header_drawer_item', {
        show_back: true,
        target: item.title|lower|replace({' ': '-'}),
        items: [pattern('list_two_column', { items: item.below })]
      }) }}
    {% endset %}
    {% set drawer_items = drawer_items | merge([drawer_item]) %}
  {% endif %}
{% endfor %}

{{ pattern('header_gcd', {
  title: title,
  url: url,
  menu_type: 'single-menu',
  menu_items: menu_main['#items'],
}) }}

{% set catch_cache = content | render %}
